package pathgame.gameplay.menu;

import me.hammerle.snuviengine.api.Engine;
import pathgame.gameplay.Gamestates;

public class EscMenu extends BaseMenu
{
    private final MenuOption[] options;
    
    public EscMenu(int id, int mainId)
    {
        super(id);
        
        options = new MenuOption[] 
        {
            new MenuOption("Continue", (gamestate) -> 
            {
                gamestate.setState(Gamestates.GAMEPLAY);
            }),
            new MenuOption("Main Menu", (gamestate) -> 
            {
                setReturnId(mainId);
            }),
            new MenuOption("Exit", (gamestate) -> 
            {
                Engine.stop();
            }),
        };
    }

    @Override
    public MenuOption[] getOptions()
    {
        return options;
    }
}
